Get Vault Project Metadata
curl --request GET \
--url https://api.harvey.ai/api/v1/vault/get_metadata/{project_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.harvey.ai/api/v1/vault/get_metadata/{project_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.harvey.ai/api/v1/vault/get_metadata/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": {
"content": [
{
"project_id": "01936a5f-53a0-7b33-91aa-3bd2441ccc89",
"file_ids": [
"01936a5f-8289-703a-9962-42bf196ae611",
"01936a5f-82a2-708a-9df6-91d72c1cd26d",
"01936a5f-82de-7096-a7c2-021638a813ad"
],
"file_names": [
"Employment Agreement - John Smith.pdf",
"Merger Agreement - Acme Corp.docx",
"Non-Disclosure Agreement - TechCo Inc.pdf"
],
"file_count": 3,
"max_file_count": 100000,
"project_size": "11015244",
"max_project_size": 107374182400
}
]
}
}Vault
Get Vault Project Metadata
Fetches metadata for a specified Vault project, including file details and storage limits.
GET
/
api
/
v1
/
vault
/
get_metadata
/
{project_id}
Get Vault Project Metadata
Permissions
RequiresVault API permission.⌘I